Subject: Re: bug#21634: 24.5; Suggested improvement

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2015 11:24:10 +0300

> Date: Thu, 22 Oct 2015 02:06:57 -0400
> From: Eli Barzilay <[email-masked]>
> Cc: [email-masked]
> 
> > If there's demand for resetting the size, I guess we could have it as
> > optional behavior.
> 
> That's why I suggested the below extension to the meaning of the
> `keep-pred` argument: specifying a timeout if it's a number.  Then there
> could be a new global variable that specifies a default for that
> argument, so with nil you get a single resize only (so you need to do
> the full C-x C-= to resize further), with t you get the current
> behavior, and with a number I get my timeout.

Would you like to send a patch along these lines?  If you decide to go
for it, please accompany the change with a suitable entry in
etc/NEWS.  Bonus points if you also provide a patch for the section in
the Emacs manual ("Text Scale") that describes this feature.

TIA